#ifndef IMS_AHT10_H
#define IMS_AHT10_H

#include "imsensors/common/sensors_common.h"

typedef struct {
    uint8_t *tx_data;
    uint8_t *rx_data;
    uint16_t tx_size;
    uint16_t rx_size;
} ims_aht10_xfer_desc_t;

typedef struct {
    double temperature;
    double humidity;
} ims_aht10_result_t;

typedef struct {
    ims_i2c_xfer_t i2c_xfer;
    ims_delay_t    delay;
} ims_aht10_cb_t;

typedef struct {
    void          *pdev;
    ims_aht10_cb_t cb;
} ims_aht10_t;

ims_ret_t ims_aht10_init(ims_aht10_t *aht);
ims_ret_t ims_aht10_measure(ims_aht10_t *aht, ims_aht10_result_t *result);

#endif  // IMS_AHT10_H